function text=predpis_polynom(koeficienty)
%
% Vypise tvar polynomu do promenne text

epsilon=1e-8;
for i=1:max(size(koeficienty))
  if abs(koeficienty(i))<epsilon
    koeficienty(i)=0;
  end  
end  

while koeficienty(1)==0 && max(size(koeficienty))>1
  koeficienty=koeficienty(2:max(size(koeficienty)));
end
n=max(size(koeficienty));
text='';
if koeficienty(1)<0 
  text=[text,'- '];
end  
for i=n-1:-1:0
  c1=num2str(abs(koeficienty(n-i)));
  c2=num2str(i);
  if i>1
    if koeficienty(n-i+1)>=0
      text=[text, c1,' x^', c2, ' + '];
    else       
      text=[text, c1,' x^', c2, ' - '];
    end   
  else
    if i==1
      if koeficienty(n)>=0
        text=[text, c1,' x',' + '];
      else       
        text=[text, c1,' x',' - '];
      end   
    else  
      text=[text, c1];    
    end
  end 
end
